---
inputType: "CA10__CaAwsSubnet__c"
testData:
  - file: "test-data.json"
importExtracts:
  - file: "/types/CA10__CaAwsSubnet__c/object.extracts.yaml"
conditions:
  - status: "INCOMPLIANT"
    currentStateMessage: "The subnet is configured to automatically assign public IP addresses to instances at launch."
    remediationMessage: "Consider disabling the 'auto-assign public IP address' setting for this subnet to prevent unintended exposure of instances to the internet."
    check:
      IS_EQUAL:
        left:
          EXTRACT: "CA10__mapPublicIpOnLaunch__c"
        right:
          BOOLEAN: true
otherwise:
  status: "COMPLIANT"
  currentStateMessage: "The subnet is not configured to automatically assign public IP addresses."